Mailinglist Archive: opensuse-factory (491 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20160716 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160716

Packages changed:
autoyast2 (3.1.136 -> 3.1.140)
bash
binutils (2.26 -> 2.26.1)
elfutils (0.164 -> 0.166)
gcc6 (6.1.1+r236988 -> 6.1.1+r238085)
glibc
glibc
kactivities-stats (5.22.0 -> 5.24.0)
libgcj-gcc6 (6.1.1+r236988 -> 6.1.1+r238085)
libinput (1.3.2 -> 1.3.3)
libosinfo (0.3.0 -> 0.3.1)
nasm (2.12 -> 2.12.02)
python-requests (2.9.1 -> 2.10.0)
rubygem-cfa_grub2 (0.4.1 -> 0.5.1)
timezone (2016e -> 2016f)
timezone-java (2016e -> 2016f)
yast2 (3.1.195 -> 3.1.196)
yast2-theme (3.1.37 -> 3.1.40)

=== Details ===

==== autoyast2 ====
Version update (3.1.136 -> 3.1.140)
Subpackages: autoyast2-installation

- Exporting NFS root partition correctly. (bnc#986124)
- 3.1.140
- Moved ssh_import AutoYaST schema file to yast2-installation
package.
This is a part of Fate#319624.
- 3.1.139
- Adapt docu to new AutoYaST developer docu.
- 3.1.138

==== bash ====
Subpackages: bash-doc libreadline6 readline-devel readline-doc

- Add upstream patch bash43-046
An incorrect conversion from an indexed to associative array can
result in a core dump.
- Add upstream patch bash43-045
If a file open attempted as part of a redirection fails because it
is interrupted by a signal, the shell needs to process any pending
traps to allow the redirection to be canceled.
- Add upstream patch bash43-044
A typo prevents the `compat42' shopt option from working as intended.
- Add upstream patch bash43-043
When the lastpipe option is enabled, the last component can contain
nested pipelines and cause a segmentation fault under certain
circumestances.

==== binutils ====
Version update (2.26 -> 2.26.1)
Subpackages: binutils-devel

- Update to binutils 2.26.1.
- Remove binutils-2.26-branch.diff.
- Update binutils-2.26-branch.diff, updates to branch head.
(swo#19807) (bnc#970239)
- Disable -mrelax-relocations by default on old products.

==== elfutils ====
Version update (0.164 -> 0.166)
Subpackages: libasm1 libdw1 libelf1 libelf1-32bit

- disable-tests-with-ptrace.patch: disable tests that use ptrace when
running under qemu-linux-user
- Update to version 0.166:
+ config: The default program prefix for the installed tools is now
eu-. Use configure --program-prefix="" to not use a program
prefix.
+ Various bugfixes.
- Drop elfutils-0.164-dt-ppc-opt.patch and
elfutils-0.164-gcc6.patch (merged upstream)
- Add patch elfutils-0.166-elfcmp-comp-gcc6.patch: fix
self-comparison error with GCC 6.
- Changes from 0.165:
+ Add eu-elfcompress
+ Add pkg-config files for libelf and libdw.

==== gcc6 ====
Version update (6.1.1+r236988 -> 6.1.1+r238085)
Subpackages: cpp6 gcc6-c++ gcc6-fortran gcc6-info gcc6-locale gcc6-objc
libasan3 libatomic1 libcilkrts5 libgcc_s1 libgcc_s1-32bit libgfortran3 libgomp1
libitm1 liblsan0 libmpx2 libmpxwrappers2 libobjc4 libquadmath0 libstdc++6
libstdc++6-32bit libstdc++6-devel-gcc6 libtsan0 libubsan0

- Update to gcc-6-branch head (r238085)
* Fixes compile-time issues in the C++ frontend. [bnc#988017]
- Enable plugin support for Tumbleweed and add gcc6-devel package
for the hearder files required to develop plugins. [bnc#988009]
- Update to gcc-6-branch head (r237469)
- Refresh gcc6-SOURCE_DATE_EPOCH.patch with patch for PR71183.
- Use %preun instead of %postun for info file deletion. Register
libitm.info. [bnc#984767]
- Add cross-arm-gcc6 that should work with cross-arm-binutils and
defaults to armv6hl settings, but without builing an icecream
environment for it.
- Update to gcc-6-branch head (r237296).
- Add gcc6-SOURCE_DATE_EPOCH.patch to backport SOURCE_DATE_EPOCH.
[bnc#982182]

==== glibc ====
Subpackages: glibc-32bit glibc-locale-32bit

- strncat-avoid-array-bounds-warning.patch: Avoid array-bounds warning for
stncat on i586 (BZ #20260)
- Update glibc.keyring
- Unset MALLOC_CHECK_ during testsuite run
- nsswitch.conf: Add fallback to files for passwd and group to prepare for
libnsl removal.
- nis-initgroups-status.patch: Return proper status from
_nss_nis_initgroups_dyn (bsc#984269, BZ #20262)
- robust-mutex-deadlock.patch: Fix generic __lll_robust_timedlock_wait to
check for timeout (bsc#985170, BZ #20263)

==== glibc ====
Subpackages: glibc-devel glibc-extra glibc-info glibc-locale nscd

- strncat-avoid-array-bounds-warning.patch: Avoid array-bounds warning for
stncat on i586 (BZ #20260)
- Update glibc.keyring
- Unset MALLOC_CHECK_ during testsuite run
- nsswitch.conf: Add fallback to files for passwd and group to prepare for
libnsl removal.
- nis-initgroups-status.patch: Return proper status from
_nss_nis_initgroups_dyn (bsc#984269, BZ #20262)
- robust-mutex-deadlock.patch: Fix generic __lll_robust_timedlock_wait to
check for timeout (bsc#985170, BZ #20263)

==== kactivities-stats ====
Version update (5.22.0 -> 5.24.0)

- Update to 5.24.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.24.0.php
- Update to 5.23.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.23.0.php

==== libgcj-gcc6 ====
Version update (6.1.1+r236988 -> 6.1.1+r238085)
Subpackages: gcc6-gij gcc6-java libgcj-devel-gcc6 libgcj-jar-gcc6 libgcj_bc1

- Update to gcc-6-branch head (r238085)
* Fixes compile-time issues in the C++ frontend. [bnc#988017]
- Enable plugin support for Tumbleweed and add gcc6-devel package
for the hearder files required to develop plugins. [bnc#988009]
- Update to gcc-6-branch head (r237469)
- Refresh gcc6-SOURCE_DATE_EPOCH.patch with patch for PR71183.
- Use %preun instead of %postun for info file deletion. Register
libitm.info. [bnc#984767]
- Add cross-arm-gcc6 that should work with cross-arm-binutils and
defaults to armv6hl settings, but without builing an icecream
environment for it.
- Update to gcc-6-branch head (r237296).
- Add gcc6-SOURCE_DATE_EPOCH.patch to backport SOURCE_DATE_EPOCH.
[bnc#982182]

==== libinput ====
Version update (1.3.2 -> 1.3.3)
Subpackages: libinput-devel libinput-udev libinput10

- Update to new upstream release 1.3.3
* libinput 1.2 dropped using a hysteresis for touchpad devices
because modern touchpads are more precise than older touchpads.
Since it was found that even those newer touchpads are prone to
a wobbling cursor when a finger is held still on the touchpad,
more touchpads were marked over time with the wobbly tag,
defeating the whole idea. The default hysteresis is now
restored for all touchpads.
* Tablet pad capabilities are now listed in libinput-list-devices.

==== libosinfo ====
Version update (0.3.0 -> 0.3.1)
Subpackages: libosinfo-1_0-0 typelib-1_0-Libosinfo-1_0

- Update to version 0.3.1:
+ Require glib2 >= 2.36.
+ Replace GSimpleAsyncResult usage with GTask.
+ Fix VPATH based builds.
+ Don't include autogenerated enum files in dist.
+ Fix build with older GCC versions.
+ Add/improve/fix data for: Debian, SLES/SLED, OpenSUSE, FreeBSD,
Windows, RHEL, Ubuntu.
+ Update README content.
+ Fix string comparison for bootable media detection.
+ Fix linker flags for OS-X & solaris.
+ Fix darwin detection code.
+ Fix multiple memory leaks.
- Drop 0ae4f0db-add-missing-sles-distros.patch and
92c55cab-add-missing-opensuse-distros.patch: Fixed upstream.
- bsc#986731 - libosinfo: Add support for openSUSE Leap 42.2
add-opensuse-leap-42.2-support.patch
- bsc#979369 - libosinfo: Missing sle10 distro versions
add-missing-sle10-distros.patch
- bsc#964407 - Virt-manager: Installer wrongly detects SLE-12-GA
media as SLE-12-SP1

==== nasm ====
Version update (2.12 -> 2.12.02)

- Update to version 2.12.02:
* Fix preprocessor errors, especially %error and %warning, inside
if statements.
* Fix relative relocations in 32-bit Mach-O.
* More Codeview debug format fixes.
* If the MASM PTR keyword is encountered, issue a warning. This
is much more likely to indicate a MASM-ism encountered in NASM
than it is a valid label.
* This warning can be suppressed with -w-ptr, the [warning]
directive (see section 2.1.24) or by the macro definition
%idefine ptr %??.
* When an error or a warning comes from the expansion of a
multi-line macro, display the file and line numbers for the
expanded macros.
* Macros defined with .nolist do not get displayed.
* Add macros ilog2fw() and ilog2cw() to the ifunc macro package.
See section 5.4.1.
- Changes for version 2.12.01:
* Portability fixes for some platforms.
* Fix error when not specifying a list file.
* Correct the handling of macro-local labels in the Codeview
debugging format.
* Add CLZERO, MONITORX and MWAITX instructions.
- Drop no longer needed nasm_change_unused.patch

==== python-requests ====
Version update (2.9.1 -> 2.10.0)

- update to 2.10.1:
* SOCKS Proxy Support! (requires PySocks; $ pip install requests[socks])
* Updated bundled urllib3 to 1.15.1.
* Change built-in CaseInsensitiveDict (used for headers) to use OrderedDict
as its underlying datastore.
* Don't use redirect_cache if allow_redirects=False
* When passed objects that throw exceptions from ``tell()``, send them via
chunked transfer encoding instead of failing.
* Raise a ProxyError for proxy related connection issues.

==== rubygem-cfa_grub2 ====
Version update (0.4.1 -> 0.5.1)

- Do not crash for submenu with double quotes (bnc#986005)
- Filter out non-bootable menuentries ( a Snapper help label,
using double quotes )
- 0.5.1
- extend grub.cfg model to construct also full path usable for
grub2-set-default (bnc#986005)
- 0.5.0

==== timezone ====
Version update (2016e -> 2016f)

- timezone update 2016f:
* Egypt (Africa/Cairo) DST change 2016-07-07 cancelled boo#987720
* Asia/Novosibirsk switches from +06 to +07 on 2016-07-24 02:00
* Asia/Novokuznetsk and Asia/Novosibirsk now use numeric time
zone abbreviations instead of invented ones.
* Europe/Minsk's 1992-03-29 spring-forward transition was at
02:00 not 00:00.
- new upstream signing key not available, dropping

==== timezone-java ====
Version update (2016e -> 2016f)

- timezone update 2016f:
* Egypt (Africa/Cairo) DST change 2016-07-07 cancelled boo#987720
* Asia/Novosibirsk switches from +06 to +07 on 2016-07-24 02:00
* Asia/Novokuznetsk and Asia/Novosibirsk now use numeric time
zone abbreviations instead of invented ones.
* Europe/Minsk's 1992-03-29 spring-forward transition was at
02:00 not 00:00.
- new upstream signing key not available, dropping

==== yast2 ====
Version update (3.1.195 -> 3.1.196)

- define 32-bit arm architecture (thanks to @afaerber)
(FATE#310070)
- 3.1.196

==== yast2-theme ====
Version update (3.1.37 -> 3.1.40)

- Removed the obsolete and unused images to make the inst-sys
smaller (bsc#974601)
- 3.1.40

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups